EXT_DEPENDENCIES no more being injected on quibble jobs
Closed, ResolvedPublic

Description

With Wikibase and PropertySuggester cloned, Quibble installs mediawiki with:

install.php --with-extensions [..]

That injects the extensions in LocalSettings with wfLoadExtension(). install.php works fine but when running phpunit tests, the Wikibase autoloader does not seem to be registered:

$ tests/phpunit/phpunit.php --debug-tests --testsuite extensions 
Using PHP 7.0.27-0+deb9u1
PHP Fatal error:  Class 'Wikibase\Repo\Tests\Api\WikibaseApiTestCase' not found
 in /workspace/src/extensions/PropertySuggester/tests/phpunit/PropertySuggester/GetSuggestionsTest.php on line 24

The class is defined in Wikibase at:

extensions/Wikibase/repo/autoload.php
353 'Wikibase\\Repo\\Tests\\Api\\WikibaseApiTestCase' => __DIR__ . '/tests/phpunit/includes/Api/WikibaseApiTestCase.php',

Wikibase does not have an extension.json, its Wikibase.php lets one switch between client and repo setup based on $wgEnableWikibaseRepo or $wgEnableWikibaseClient being set.

hashar created this task.May 31 2018, 11:06 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 31 2018, 11:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Looking at quibble-composer-mysql-php70-docker job, the extension dependency Wikibase is no more injected for PropertySuggester. It was on May 30th at 19:20UTC.

Change 436510 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] zuul: fix deps for Quibble jobs

https://gerrit.wikimedia.org/r/436510

Change 436510 merged by jenkins-bot:
[integration/config@master] zuul: fix deps for Quibble jobs

https://gerrit.wikimedia.org/r/436510

Mentioned in SAL (#wikimedia-releng) [2018-05-31T11:41:50Z] <hashar> Fixed EXT_DEPENDENCIES no more being injected on quibble jobs T196062

hashar renamed this task from [PropertySuggester] PHP Fatal error: Class 'Wikibase\Repo\Tests\Api\WikibaseApiTestCase' not found in extensions/PropertySuggester/tests/phpunit/PropertySuggester/GetSuggestionsTest.php on line 24 to EXT_DEPENDENCIES no more being injected on quibble jobs.May 31 2018, 11:42 AM
hashar closed this task as Resolved.
hashar claimed this task.
Vvjjkkii renamed this task from EXT_DEPENDENCIES no more being injected on quibble jobs to 5wbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed hashar as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
thcipriani updated the task description. (Show Details)Jul 1 2018, 7:35 PM
thcipriani assigned this task to hashar.
thcipriani closed this task as Resolved.Jul 1 2018, 7:35 PM
thcipriani renamed this task from 5wbaaaaaaa to EXT_DEPENDENCIES no more being injected on quibble jobs.
CommunityTechBot raised the priority of this task from High to Needs Triage.